#include "motion_control.h"
#include "GLCD.h"

void motion_control(int position)
{
	int x,line;
	x = position%8;
	line = position/8;
	
	if(x==0)
	{
		GLCD_16x2(pl_1,line,0);
	}
	else if(x==2)
	{
		if(position<init_position)
		{
			GLCD_16x3(pl_4,line,0);
		}
		else if(position>init_position)
		{
			GLCD_16x3(pl_2,line,0);
		}
	}
	else if(x==4)
	{
		GLCD_16x3(pl_3,line,0);
	}
	else if(x==6)
	{
		if(position<init_position)
		{
			GLCD_16x3(pl_2,line,0);
		}
		else if(position>init_position)
		{
			GLCD_16x3(pl_4,line,0);
		}
	}
}

void Spawn_player(void)
{
	GLCD_SelectPage0();
	GLCD_16x2(pl_1,3,0);
}
